1. Payments
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Status Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Files
    • Upload File
  • Webhook
    • Overview
    • Event Types
    • Verifying
    • Payment Event
    • Payout Event
    • Appeal Event
  1. Payments

Create Payment

POST
/payments

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🟠401
🟠403
🟠409
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/payments' \
--header 'Idempotency-Key: 17f8930c-21c9-4f8a-96ef-ad3707f5895c' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "amount": "1000.00",
    "currency": "XTS",
    "requisite": {
        "type": "card"
    },
    "customer": {
        "reference": "user_10426",
        "ip_address": "203.0.113.42",
        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) Chrome/120.0.0.0"
    }
}'
Response Response Example
201 - Example
{
    "data": {
        "id": "txn_2n1TLgiZFvF7DZuL",
        "type": "payment",
        "requested": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "initialized": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "processed": {
            "amount": "0.00",
            "currency": "XTS"
        },
        "refunded": {
            "amount": "0.00",
            "currency": "XTS"
        },
        "requisite": {
            "type": "card",
            "card": "4242424242424242",
            "holder": "Test User",
            "bank": "Test Bank"
        },
        "payment_url": "https://pay.casharc.pro/txn_2n1TLgiZFvF7DZuL?token=…",
        "status": "processing",
        "status_code": "processing",
        "created_at": "2026-01-01T00:21:56Z",
        "expires_at": "2026-01-01T00:22:56Z",
        "finalized_at": null,
        "metadata": {}
    }
}
Previous
Metadata
Next
List Payments
Built with